Page 42 of 72 FirstFirst ... 32404142434452 ... LastLast
Results 411 to 420 of 714

Thread: Install The Newest Firefox ppa with command "add-apt-repository" (9.10 & above)

  1. #411
    Join Date
    Dec 2006
    Beans
    717
    Distro
    Xubuntu 13.04 Raring Ringtail

    Arrow Interesting: Build language packs directly from the firefox source Fixes LP: #294187

    https://launchpad.net/~mozillateam/+archive/firefox-next/+sourcepub/1742194/+listing-archive-extra


    * Build language packs directly from the firefox source
    + Fixes LP:#294187 - Firefox Locales should install locale specific
    search plugins
    + Rip out the bits to create a en-US.xpi
    - update debian/rules
    - remove debian/translation-support/install.rdf.in
    + Include compare-locales FIREFOX_5_0b1_BUILD1 from
    http://hg.mozilla.org/build/compare-locales. It's needed for merging
    en-US strings with incomplete locales
    + Pull l10n data in to tarball from bzr
    - update debian/mozclient/firefox.conf
    + Configure build for creating language packs by configuring with
    "--with-l10n-base="
    - update debian/mozconfig.in
    + Store the list of locales to ship, and provide a way of automatically
    generating that list and the control file entries from the upstream
    source. Also provide a way to blacklist languages. We map languages
    to package names using langpack-o-matic (and also get descriptions
    from there too)
    - update debian/rules
    - add debian/locales.shipped
    - add debian/control.langpacks
    - update debian/control.in
    - add debian/locale.blacklist
    - add debian/refresh-supported-locales.pl
    + Add common-build-indep hook to build the translation xpi's
    - update debian/rules
    + Add common-binary-post-install-indep to install the xpi's and
    searchplugins in to the correct debian packages
    - update debian/rules
    - add debian/get-xpi-id.py
    Last edited by SilverWave; May 25th, 2011 at 05:50 PM.

  2. #412
    Join Date
    Dec 2006
    Beans
    717
    Distro
    Xubuntu 13.04 Raring Ringtail

    Arrow How to uninstall old Firefox 4 Language Packs

    Quote Originally Posted by chrisccoulson View Post
    I'm guessing you have the addon compatibility reporter installed? If so, then the incompatible Firefox 4 translation packs will still be enabled, causing the error you see in Help -> About

    Quote Originally Posted by SilverWave View Post
    Yes thanks for the advice, it did the trick

    hmm now, how to uninstall them... /goes looking

    Looks as if this is what I was looking for:

    /usr/lib/firefox-addons/extensions

    I just deleted the .xpi files that were language related.
    Last edited by SilverWave; May 25th, 2011 at 07:10 PM.

  3. #413
    Join Date
    Dec 2006
    Beans
    717
    Distro
    Xubuntu 13.04 Raring Ringtail

    Arrow Re: New Firefox Beta PPA's - Zoom Issue & NoSquint

    Quote Originally Posted by SilverWave View Post
    Updated Firefox to 5b2 on Natty 64bit and I have some issues:

    [Update]
    >1. Zoom not working
    This was down to NoSquint - disable, reboot and Zoom works OK.
    Latest Version 2.1.1 Works fine with FF5B2

    NoSquint Version History

  4. #414
    Join Date
    Dec 2006
    Beans
    717
    Distro
    Xubuntu 13.04 Raring Ringtail

    Arrow extensions.checkCompatibility.nightly sanity prevails...

    extensions.checkCompatibility.nightly

    We’ve now changed this and any nightly, try, or self-made builds (anything not on the aurora, beta or release channels) will instead use the single preference extensions.checkCompatibility.nightly from now on, regardless of version. This will be available from tonight’s nightly onwards.
    http://www.oxymoronical.com/blog/201...lds-of-Firefox

  5. #415
    Join Date
    Dec 2006
    Beans
    717
    Distro
    Xubuntu 13.04 Raring Ringtail

    Arrow One Nightly A Week PPA's Updated with Latest firefox-trunk 7.0~a1

    And the fast release policy really starts to kick in...

    Changes for the versions:
    6.0~a1~hg20110520r69818+nobinonly-0ubuntu1~umd1
    7.0~a1~hg20110529r70295+nobinonly-0ubuntu1~umd1

    This change is not from a source that supports changelogs.
    Details here:

    https://launchpad.net/~silverwave

  6. #416
    Join Date
    Dec 2006
    Beans
    717
    Distro
    Xubuntu 13.04 Raring Ringtail

    Arrow Re: extensions.checkCompatibility.nightly sanity prevails...

    Quote Originally Posted by SilverWave View Post
    extensions.checkCompatibility.nightly



    http://www.oxymoronical.com/blog/201...lds-of-Firefox
    I didn't bother with this on the 6.0 to 7.0 bump...

    Instead I accepted the add-on upgrade for Add-on Compatibility Reporter and once loaded rebooted.

    All OK so far

  7. #417
    Join Date
    Dec 2006
    Beans
    717
    Distro
    Xubuntu 13.04 Raring Ringtail

    Arrow Packages in “Firefox Aurora” from ubuntu-mozilla-daily!

    Quote Originally Posted by SilverWave View Post
    Looks as if they will, in time, support the Beta Channel but not the Aurora Channel.

    firefox aurora channel
    Packages in “Firefox Aurora”

    Well now it gets interesting

    Looks as if we are now first class Firefox citizens and have access to all the Firefox channels.

  8. #418
    Join Date
    Dec 2006
    Beans
    717
    Distro
    Xubuntu 13.04 Raring Ringtail

    Arrow Re: Packages in “Firefox Aurora” from ubuntu-mozilla-daily!

    Quote Originally Posted by SilverWave View Post
    Packages in “Firefox Aurora”

    Well now it gets interesting

    Looks as if we are now first class Firefox citizens and have access to all the Firefox channels.
    Hmm...

    Something to be aware of is that the Aurora packages will replace your existing firefox...

    I think I prefer to use the Nightly packages as being firefox-trunk you get to keep firefox as well.

    Best of both worlds...

    I actually use the Beta packages of firefox (atm 5.0b2) in place of the stable 4.0 for my main browser day-to-day.

    I use Nightly packages of firefox-trunk to keep in touch with the latest developments.

    YMMV

  9. #419
    Join Date
    Aug 2008
    Location
    Brazil
    Beans
    12,497
    Distro
    Ubuntu Studio 12.04 Precise Pangolin

    Re: Install The Newest Firefox ppa with command "add-apt-repository" (9.10 & above)

    The latest Aurora (6.0a2) has an interesting new feature, the Permissions Manager:



    To access it, just type about:permissions in the address bar.

    I hope this will evolve into a full-feature site preferences tool like Opera has.

  10. #420
    Join Date
    Dec 2006
    Beans
    717
    Distro
    Xubuntu 13.04 Raring Ringtail

    Arrow Re: Install The Newest Firefox ppa with command "add-apt-repository" (9.10 & above)

    Quote Originally Posted by lovinglinux View Post
    The latest Aurora (6.0a2) has an interesting new feature, the Permissions Manager:



    To access it, just type about:permissions in the address bar.

    I hope this will evolve into a full-feature site preferences tool like Opera has.
    Hey this is a good idea! Thanks for the tip.

Page 42 of 72 FirstFirst ... 32404142434452 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •